<?php
function servicesShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_service_number',2);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-lg-6 col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-3 col-md-6 col-sm-6 col-xs-12';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;

            while ($query->have_posts()) : $query->the_post();
                $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-project-thumb');
                $post = get_post();

                ?>
                <?php
                 $peccular_service_page_icon_ = get_theme_mod('peccular_service_page_icon_'.$i);
                 ?> 
                <div class="<?php echo $colCls;?> pd-0">
                    <div  service-match-height="groupName" class="peccular-service-box <?php echo esc_attr(get_theme_mod('peccular_service_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">                        
                                 <div class="peccular-service-image">
                                    <a href="<?php the_permalink();?>">
                                        <?php
                                        if (has_post_thumbnail()) {
                                            $image_url = $peccular_image[0];
                                        } else {
                                            $image_url = get_template_directory_uri() . '/images/project3.png';
                                        }
                                        ?>   
                                        <img class="peccular-service-img" src="<?php echo esc_url($image_url); ?>" alt="service" style="height: <?php echo esc_attr(get_theme_mod('peccular_services_post_image_height','446')) ?>px;" />
                                        <div class="imageOverlaynew"></div>                            
                                   </a>
                                </div><!-- div image-->
                                <div class="clearfix"></div> 
                                <div class="peccular-service-content">
                                    <div class="row m-0 ">
                                         <div class="col-lg-9 col-md-9 col-sm-9 col-xs-12 pd-0">
                                        <h4><a href="<?php the_permalink(); ?>" style="text-transform : <?php if(get_theme_mod('peccular_service_title_case','None') == 'None'){ ?> none <?php } elseif(get_theme_mod('peccular_service_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_service_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_service_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></a>
                                        </h4> 
                                        </div>
                                        <div class="col-lg-3 col-md-3 col-sm-3 col-xs-12">
                                        <?php
                                            $peccular_service_btnlink = get_theme_mod('peccular_service_btnlink', '#');
                                        ?> 

                                      <?php if( get_theme_mod('peccular_service_button_enable','show' ) == 'show') :
                                        ?>  
                                        <div class="peccular-service-btn">
                                            
                                          <a href="<?php echo get_permalink(); ?>" target="_blank">      
                                            <i class="fa fa-long-arrow-right" aria-hidden="true"></i>                         
                                          </a> 
                                         
                                       </div>
                                        <?php endif ?>
                                    </div>
                                        <div class="clearfix"></div>
                                         </div>

                                    </div>
                                    <div class="clearfix"></div>
                                
                            </div> 
      <script>
    var matchHeight = function () {
    
    function init() {
        eventListeners();
        matchHeight();
    }
    
    function eventListeners(){
        $(window).on('resize', function() {
            matchHeight();
        });
    }
    
    function matchHeight(){
        var groupName = $('[service-match-height]');
        var groupHeights = [];
        
        groupName.css('min-height', 'auto');
        
        groupName.each(function() {
            groupHeights.push($(this).outerHeight());
        });
        
        var maxHeight = Math.max.apply(null, groupHeights);
        groupName.css('min-height', maxHeight);
    };
    
    return {
        init: init
    };
    
} ();

$(document).ready(function() {
    matchHeight.init();
});
</script>

      </div>
        <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

function servicesInnerpgeShortCode($pageId = null, $isCustomizer = false, $i = null) {
    ob_start();

    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_service_number',2);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-3 col-md-6 col-sm-6 col-xs-12';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;
               ?> 
            <div class="row m-0">
            <?php

            while ($query->have_posts()) : $query->the_post();
                $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-project-thumb');

                 if ($isCustomizer === true) {
                    $service_area_designation = get_theme_mod('service_area_designation' . $i);
                } else {
                    $service_area_designation = '';
                }

                $post = get_post();
                    //designation
                $designation = get_post_meta($post->ID, 'designation', false);
                $service_area_designation = !empty($designation[0]) ? $designation[0] : '';
                ?>
                <div class="<?php echo $colCls;?> pd-0">
                    <div  service-match-height="groupName" class="peccular-service-box <?php echo esc_attr(get_theme_mod('peccular_service_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">  
                        <div class="peccular-service-image">
                         <?php
                            if (has_post_thumbnail()) {
                            $image_url = $peccular_image[0];
                            } else {
                            $image_url = get_template_directory_uri() . '/images/project3.png';
                            }
                        ?> 
                         <?php
                        if(get_theme_mod('service_featured_img_on_off') != 'on' ){
                      ?>  
                      <a href="<?php the_permalink(); ?>">
                         <img class="peccular-service-img" src="<?php echo esc_url($image_url); ?>" alt="service" style="height: <?php echo esc_attr(get_theme_mod('peccular_serviceinnerpage_post_image_height','302')) ?>px;" />
                           <div class="simageOverlaynew"></div>
                     </a>
                     <?php } ?>
                        </div> 
                        <div class="clearfix"></div>           
                         <div class="peccular-service-content" style="text-align: <?php if(get_theme_mod('peccular_services_page_content_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_services_page_content_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_services_page_content_align','Right') == 'Right'){ ?> right <?php } ?> ">    
                           <div class="peccular-services-date">
                          <i class="fa fa-calendar" aria-hidden="true"></i><span><?php echo get_the_date( 'j M Y' ); ?></span>
                            </div>  
                            <h4><a href="<?php the_permalink(); ?>" style="text-transform : <?php if(get_theme_mod('peccular_service_page_title_case','capitalize') == 'capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_service_page_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_service_page_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></a>
                            </h4>
                                   <div class="clearfix"></div>
                             <div class="peccular-service-contenttext">
                            <p><?php $peccular_excerpt = get_the_excerpt(); echo esc_html( peccular_string_limit_words( $peccular_excerpt, esc_attr(get_theme_mod('peccular_services_innpost_excerpt','25')) ) ); ?>
                                            
                            </p> 
                            </div>   
                            <div class="service-page-butn">
                                    <div class="row">
                                                
                                    <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-xs-6 comment-w">
                                            <div class="peccular-services-comment_box">
                                         <i class="fa fa-comment" aria-hidden="true"></i><?php echo $my_var = get_comments_number(); ?>
                                            </div>
                               
                                    </div>
                                        <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-xs-6 text-r btn-w">
                                                <?php
                    
                                            ?>
                                        <?php if( get_theme_mod('peccular_erviceinn_button_enable',true) == true){ ?>
                                            <a href="<?php the_permalink(); ?>" class="service-view-btn"><i class="fa fa-long-arrow-right" aria-hidden="true"></i>  
                                                    
                                             </a>

                                        <?php }?>
                                         
                                        </div>
                                     
                                    
                                </div>      

                            
                        </div>
                             <div class="clearfix"></div>
                        </div> 
                         <div class="clearfix"></div> 
                                    
                                            

                            <div class="clearfix"></div>
                                                                
                                
                            </div>                            
                  
      <script>
    var matchHeight = function () {
    
    function init() {
        eventListeners();
        matchHeight();
    }
    
    function eventListeners(){
        $(window).on('resize', function() {
            matchHeight();
        });
    }
    
    function matchHeight(){
        var groupName = $('[service-match-height]');
        var groupHeights = [];
        
        groupName.css('min-height', 'auto');
        
        groupName.each(function() {
            groupHeights.push($(this).outerHeight());
        });
        
        var maxHeight = Math.max.apply(null, groupHeights);
        groupName.css('min-height', maxHeight);
    };
    
    return {
        init: init
    };
    
} ();

$(document).ready(function() {
    matchHeight.init();
});
</script>

      </div>
       <?php
    endwhile;
    ?>
    <div class="clearfix"></div>
    </div>
    <?php
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}
add_shortcode('SERVICES', 'servicesInnerpgeShortCode');
