<?php 
    $wp_customize->add_section(
        'peccular_about_section',
        array(
            'title' => __( 'About Us', 'peccular-premium' ),
            'panel' => 'peccular_premium_home_panel1',
            'priority' =>20
        ) 
    ); 
 
$wp_customize->add_setting('peccular_about_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    )); 
   
    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_about_nav', array(
       'section' => 'peccular_about_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_about_enable',
                'peccular_about_image',
                'peccular_about_headImg_display',
                'peccular_about_section_lbl1',
                'peccular_about_areas_lbl2',
                'peccular_about_area_lbl',
                'peccular_about_section_title1',
                'peccular_about_section_spantitle1',
                'peccular_about_subtitle',
                'peccular_about_text',
                'peccular_about_us_icon',
                'peccular_about_section_expnum',
                'peccular_about_section_expTitle',
                'peccular_about_section_listTitle',
                'peccular_about_pagelist2',
                'peccular_about_page_list',
                 'peccular_about_button_display',
                'peccular_about_btn_txt',
                'peccular_about_btnlink'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_about_section_bg_color',
                'peccular_about_section_bg_image',
                'peccular_about_image_opacity',
                'peccular_about_box_onload_effects',
                'peccular_about_head_align',                               
                'peccular_about_sheading_color',
                'peccular_about_sheadingspan_color',
                'peccular_about_sheadingbrdr1_color',
                'peccular_about_subheading_color',
                'peccular_about_sdescriptionText_color',
                'peccular_about_expiconClr_color',
                'peccular_about_expTitleClr_color',
                'peccular_about_expnumClr_color',
                'peccular_about_expboxClr_color',
                'peccular_about_expiconhovercircleClr_color',
                
                 'peccular_about_btntext_color',
                'peccular_about_btnbg_color',
                'peccular_about_btnHovertxt_color',
                'peccular_about_btnHoverBG_color',

                'peccular_about_listTxtClr_color',
                'peccular_about_listicnclr_color'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_about_padding',
                'peccular_about_section_t_padding',
                'peccular_about_section_b_padding',
                'peccular_about_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_about_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_about_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_about_section'
)));

$wp_customize->add_setting(
    'peccular_about_section_title1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'About Us', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_section_title1',
    array(
        'settings'      => 'peccular_about_section_title1',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Section Title', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_about_subtitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'OUTSTANDING RECIDENTIAL & COMMERCIAL SERVICES', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_subtitle',
    array(
        'settings'      => 'peccular_about_subtitle',
        'section'       => 'peccular_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Subtitle', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_about_text',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using Content here, content here, making it look like readable English.', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_text',
    array(
        'settings'      => 'peccular_about_text',
        'section'       => 'peccular_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Description', 'peccular-premium' )
    )
);

 $wp_customize->add_setting(
        'peccular_about_us_icon',
        array(
            'default'           => 'fa fa-shield',
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new peccular_Fontawesome_Icon_Chooser(
            $wp_customize,
            'peccular_about_us_icon',
            array(
                'settings'      => 'peccular_about_us_icon',
                'section'       => 'peccular_about_section',
                'type'          => 'icon',
                'label'         => __( 'Experience Icon', 'peccular-premium' ),
            )
        )
    );

$wp_customize->add_setting(
    'peccular_about_section_expnum',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '15+', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_section_expnum',
    array(
        'settings'      => 'peccular_about_section_expnum',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Experience Year', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_about_section_expTitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Years Of Experience', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_section_expTitle',
    array(
        'settings'      => 'peccular_about_section_expTitle',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Experience Title', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_about_pagelist2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '<ul>
           <li>Emergency electrical solutions</li>
            <li>Top service with reasonable price</li>
                <li>Reliable & Experienced Electricians</li>
            <li>Emergency electrical solutions</li>
                <li>Emergency electrical solutions</li>
            <li>Quality Support Technology with equipment</li>
            </ul>', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_pagelist2',
    array(
        'settings'      => 'peccular_about_pagelist2',
        'section'       => 'peccular_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Left Side Bullet Points', 'peccular-premium' )
    )
);



// to show & hide another button
$wp_customize->add_setting( 'peccular_about_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_about_button_display', array( 'label' => 'Button Display', 'section' => 'peccular_about_section', 'settings' => 'peccular_about_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
// appointment 
$wp_customize->add_setting(
    'peccular_about_btn_txt',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Read More' )
    )
);
$wp_customize->add_control(
    'peccular_about_btn_txt',
    array(
        'settings'      => 'peccular_about_btn_txt',
        'section'       => 'peccular_about_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'peccular-premium' )
    )
);

$wp_customize->add_setting('peccular_about_btnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_about_btnlink',
    array(
        'settings'      => 'peccular_about_btnlink',
        'section'       => 'peccular_about_section',
        'type'          => 'url',
        'label'         => __( 'Add Button link here', 'peccular-premium' )
     )
);



    $wp_customize->add_setting( 'peccular_about_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_about_image', array(
        'label' => __('About Us Image','peccular'),
       'section' => 'peccular_about_section',
    )));

$wp_customize->add_setting( 'peccular_about_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_about_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_about_section',
    )));

$wp_customize->add_setting( 'peccular_about_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_about_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_about_section',
    )));

 $wp_customize->add_setting('peccular_about_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_about_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_about_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));


    
    $wp_customize->add_setting('peccular_about_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Block Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_about_section',
    ));

    $wp_customize->add_setting('peccular_about_head_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_head_align',array(
        'type' => 'select',
        'label' => __('Section Heading Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_about_section',
    ));

    $wp_customize->add_setting('peccular_about_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_about_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_about_section'
   ));

    $wp_customize->add_setting('peccular_about_section_t_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_about_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_about_section',
    ));
     $wp_customize->add_setting('peccular_about_section_b_padding',array(
        'default' => '7',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_about_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_about_section',
    ));

    $wp_customize->add_setting('peccular_about_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_about_section',
    ));

addColorPalatOption($wp_customize, 'peccular_about_sheading_color', 'peccular_about_section', 'Section Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_about_subheading_color', 'peccular_about_section', 'Section Sub Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_about_sdescriptionText_color', 'peccular_about_section', 'Section Text Color', '');

addColorPalatOption($wp_customize, 'peccular_about_expiconClr_color', 'peccular_about_section', 'Box Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_about_expTitleClr_color', 'peccular_about_section', 'Box Title Color', '');
addColorPalatOption($wp_customize, 'peccular_about_expnumClr_color', 'peccular_about_section', 'Box Number Color', '');
addColorPalatOption($wp_customize, 'peccular_about_expboxClr_color', 'peccular_about_section', 'Box Color', '');
addColorPalatOption($wp_customize, 'peccular_about_expiconhovercircleClr_color', 'peccular_about_section', 'Box Hover Circle Color', '');

addColorPalatOption($wp_customize, 'peccular_about_listTxtClr_color', 'peccular_about_section', 'List Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_listicnclr_color', 'peccular_about_section', 'List Icon Color', '');

addColorPalatOption($wp_customize, 'peccular_about_btntext_color', 'peccular_about_section', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_btnbg_color', 'peccular_about_section', 'Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_about_btnHovertxt_color', 'peccular_about_section', 'Button Hover Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_btnHoverBG_color', 'peccular_about_section', 'Button Hover BG Color', '');
?>