<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );

 
  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_contact_pages' , array(
        'title'    => __( 'Contact Page', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) );

    $wp_customize->add_setting('peccular_contactpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_contactpages_nav', array(
       'section' => 'peccular_contact_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_contact_title',
                'peccular_contactpage_address1',               
                'peccular_contact_page_phone2',
                'peccular_contact_page_phone',                
                'peccular_contact_page_email',                
                'peccular_contactpage_form_shortcode',     
                'contact_page_iframe_shortcode',           
                'peccular_contact_page_formtitle1',
                'peccular_contform_maintitle',          
                'peccular_contactpage_fb',
                'peccular_contactpage_tw',
                'peccular_contactpage_instagram',
                'peccular_contactpage_in',
                'peccular_contactpage_pinterest',
                'peccular_contactpage_youtube',
                'peccular_contactpage_whatsapp'

            ),
            'active' => true,
         ),      
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array( 
                'peccular_contactpage_box_onload_effects',
                'peccular_contactpage_headingbg_height',
                'peccular_contactpage_rheading_color',
                'peccular_contactpage_rheadingbg_color',
                'peccular_contactpage_rheadingtext_color',
                'peccular_contact_page_formtext_color',
                'peccular_contact_page_formtextplaceholder_color',
                'peccular_contact_page_formborder_color',
                'peccular_contactpage_formbtnbg_color1',
                'peccular_contactpage_formbtntext_color',
                'peccular_contact_page_formbtnbghov_color1',
                'peccular_contact_pagee_formbtntexthv_color',
                'peccular_contactpage_soacialicon_color',
                'peccular_contactpage_soacialiconbg_color',
                'peccular_contactpage_soacialiconbghover_color',
                'peccular_contactpage_addlbl_color',
                'peccular_contactpage_lheading_color',
                'peccular_contactpage_addtext1_color',
                'peccular_contactpage_addtexthover_color',
                'peccular_contactpage_addtext1Icon_color',
                'peccular_contactpage_addtextrightBorder_color',
                'peccular_contactpage_topContactBxBg_color',
                'peccular_contactpage_topContactBxHoverBg_color',

            ),
         )
        ),
    )));
$wp_customize->add_setting(
    'peccular_contact_title',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'CONTACT INFO', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_title',
    array(
        'settings'      => 'peccular_contact_title',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Contact Box Title', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_page_phone',
    array(
        'sanitize_callback' => 'peccular_sanitize_phone_number',
        'default'           => __( '+000 111 222', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_phone',
    array(
        'settings'      => 'peccular_contact_page_phone',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Phone Number', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_page_phone2',
    array(
        'sanitize_callback' => 'peccular_sanitize_phone_number',
        'default'           => __( '+111 222 333', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_phone2',
    array(
        'settings'      => 'peccular_contact_page_phone2',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Another Phone Number', 'peccular' )
    )
);



$wp_customize->add_setting(
    'peccular_contact_page_email',
    array(
        'sanitize_callback' => 'sanitize_email',
        'default'           => __( 'info@yourmailhere.com', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_email',
    array(
        'settings'      => 'peccular_contact_page_email',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Email Address', 'peccular' )
    )
);


$wp_customize->add_setting(
    'peccular_contactpage_address1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '6703 Academy Rd NE Albuquerque New York 87109 United States', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_address1',
    array(
        'settings'      => 'peccular_contactpage_address1',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Address', 'peccular' )
    )
);


// FACEBOOK 
$wp_customize->add_setting('peccular_contactpage_fb', array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contactpage_fb',
    array(
        'settings'      => 'peccular_contactpage_fb',
        'section'       => 'peccular_contact_pages',
        'type'          => 'url',
        'label'         => __( 'Facebook Url', 'peccular-premium' )
    )
);
// TWITTER
$wp_customize->add_setting('peccular_contactpage_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contactpage_tw',
    array(
        'settings'      => 'peccular_contactpage_tw',
        'section'       => 'peccular_contact_pages',
        'type'          => 'url',
        'label'         => __( 'Twitter Url', 'peccular-premium' )
    )
);

// Instagram IN
$wp_customize->add_setting('peccular_contactpage_instagram',array('default'=> 'https://www.instagram.com/','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contactpage_instagram',
    array(
        'settings'      => 'peccular_contactpage_instagram',
        'section'       => 'peccular_contact_pages',
        'type'          => 'url',
        'label'         => __( 'Instagram Url', 'peccular-premium' )
    )
);


// LINKED IN
$wp_customize->add_setting('peccular_contactpage_in',array('default'=> '','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contactpage_in',
    array(
        'settings'      => 'peccular_contactpage_in',
        'section'       => 'peccular_contact_pages',
        'type'          => 'url',
        'label'         => __( 'Linkedin Url', 'peccular-premium' )
    )
);

// Pinterest
$wp_customize->add_setting('peccular_contactpage_pinterest',array('default'=> '','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contactpage_pinterest',
    array(
        'settings'      => 'peccular_contactpage_pinterest',
        'section'       => 'peccular_contact_pages',
        'type'          => 'url',
        'label'         => __( 'Pinterest Url', 'peccular-premium' )
    )
);

// Youtube IN
$wp_customize->add_setting('peccular_contactpage_youtube',array('default'=> '','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contactpage_youtube',
    array(
        'settings'      => 'peccular_contactpage_youtube',
        'section'       => 'peccular_contact_pages',
        'type'          => 'url',
        'label'         => __( 'Youtube Url', 'peccular-premium' )
    )
);



// Whatsapp IN
$wp_customize->add_setting('peccular_contactpage_whatsapp',array('default'=> '','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contactpage_whatsapp',
    array(
        'settings'      => 'peccular_contactpage_whatsapp',
        'section'       => 'peccular_contact_pages',
        'type'          => 'url',
        'label'         => __( 'Whatsapp Url', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_contform_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'CONTACT US', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contform_maintitle',
    array(
        'settings'      => 'peccular_contform_maintitle',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Contact Form Title', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactpage_form_shortcode',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Add Form [SHORTCODE] Here', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_form_shortcode',
    array(
        'settings'      => 'peccular_contactpage_form_shortcode',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Form Shortcode', 'peccular' )
    )
); 

$wp_customize->add_setting('contact_page_iframe_shortcode', array( 'default'=>'Add Map Embed Code Here'));
$wp_customize->add_control('contact_page_iframe_shortcode', array('settings'=>'contact_page_iframe_shortcode', 'section'=>'peccular_contact_pages','type'=>'textarea', 'label'=> __('Embed Code for map', 'peccular')));

     $wp_customize->add_setting('peccular_contactpage_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_contactpage_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_contact_pages',
    ));

$wp_customize->add_setting('peccular_contactpage_headingbg_height',array(
        'default' => 65,
        'sanitize_callback' => 'peccular_sanitize_integer'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_contactpage_headingbg_height',array(
    'label' => __('Heading BG Height','peccular'),
    'section' => 'peccular_contact_pages',
    'input_attrs' => array(
            'min' => 0,
            'max' => 500,
            'step' => 1,
        ),
    )));

addColorPalatOption($wp_customize, 'peccular_contactpage_lheading_color', 'peccular_contact_pages', 'Left Heading Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_addtext1_color', 'peccular_contact_pages', 'Address/Phone/Mail Text & Link Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_addtexthover_color', 'peccular_contact_pages', 'Address/Phone/Mail Link Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_addtext1Icon_color', 'peccular_contact_pages', 'Address/Phone/Mail Icon Color', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_topContactBxBg_color', 'peccular_contact_pages', 'Contact Box BG Color', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_rheading_color', 'peccular_contact_pages', 'Right Heading Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_rheadingbg_color', 'peccular_contact_pages', 'Right Heading BG Color ', '');

addColorPalatOption($wp_customize, 'peccular_contact_page_formtext_color', 'peccular_contact_pages', 'Form Text Color ', '');

addColorPalatOption($wp_customize, 'peccular_contact_page_formtextplaceholder_color', 'peccular_contact_pages', 'Form Placeholder Color ', '');


addColorPalatOption($wp_customize, 'peccular_contact_page_formborder_color', 'peccular_contact_pages', 'Form Border Color ', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_formbtnbg_color1', 'peccular_contact_pages', 'Form Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_formbtntext_color', 'peccular_contact_pages', 'Form Button Text Color', '');

addColorPalatOption($wp_customize, 'peccular_contact_page_formbtnbghov_color1', 'peccular_contact_pages', 'Form Button Hover BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_pagee_formbtntexthv_color', 'peccular_contact_pages', 'Form Button Hover Text Color', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_soacialicon_color', 'peccular_contact_pages', 'Social Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_soacialiconbg_color', 'peccular_contact_pages', 'Social BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_soacialiconbghover_color', 'peccular_contact_pages', 'Social BG Hover Color', '');
?>